<?
  
  function calcular_tiempo_trasnc2($hora1,$hora2){ 
    $separar[1]=explode(':',$hora1); 
    $separar[2]=explode(':',$hora2); 
	$total_minutos_trasncurridos[1] = ($separar[1][0]*60)+$separar[1][1]; 
	$total_minutos_trasncurridos[2] = ($separar[2][0]*60)+$separar[2][1]; 
	return $total_minutos_trasncurridos = ($total_minutos_trasncurridos[1]-$total_minutos_trasncurridos[2])/60; 
  }
  function calcular_tiempo_trasnc3($hora1,$hora2){ 
    $separar[1]=explode(':',$hora1); 
    $separar[2]=explode(':',$hora2); 
	$total_minutos_trasncurridos[1] = ($separar[1][0]*60)+$separar[1][1]; 
	$total_minutos_trasncurridos[2] = ($separar[2][0]*60)+$separar[2][1]; 
	return $total_minutos_trasncurridos = ($total_minutos_trasncurridos[1]-$total_minutos_trasncurridos[2])/60; 
  }  
  function calcular_horas_formato2($hora1,$hora2){
  $divisor=60;
  $minutos=60;
  $separar[1]=explode(':',$hora1); 
  $separar[2]=explode(':',$hora2);  
  $tminutos=$minutos-$separar[1][1];  
  $total_minutos[1] = $tminutos+$separar[2][1];  
  $cociente=floor($total_minutos[1] / $divisor);
  $resto = $total_minutos[1] % $divisor;
  return $suma_horas=$cociente.":".$resto;
  }
  function calcular_horas_formato_inversa2($hora){
  $divisor=60;
  $minutos=60;
   
  $tminutos=round($minutos*$hora);    
  $cociente=floor($tminutos / $divisor);
  
  $resto = $tminutos % $divisor;
  if($resto<10){
  return $suma_horas=$cociente.":0".$resto;
  }else{
  return $suma_horas=$cociente.":".$resto;
  }
  }
  function calcular_horas_formato_inversa3($hora){
  $divisor=60;
  $minutos=60;
   
  $tminutos=$minutos*$hora;    
  $cociente=floor($tminutos / $divisor);
  
  $resto = $tminutos % $divisor;
  if($resto<10){
  return $suma_horas=$cociente.":0".$resto;
  }else{
  return $suma_horas=$cociente.":".$resto;
  }
  }
  
	function RestarHoras1($horaini,$horafin)
{
    $horai=substr($horaini,0,2);
    $mini=substr($horaini,3,2);
    //$segi=substr($horaini,6,2);
 
    $horaf=substr($horafin,0,2);
    $minf=substr($horafin,3,2);
    //$segf=substr($horafin,6,2);
 
    $ini=((($horai*60)*60)+($mini*60)/*+$segi*/);
    $fin=((($horaf*60)*60)+($minf*60)/*+$segf*/);
 
    $dif=$fin-$ini;
 
    $difh=floor($dif/3600);
    $difm=floor(($dif-($difh*3600))/60);
    //$difs=$dif-($difm*60)-($difh*3600);
    return date("H:i",mktime($difh,$difm));
    //return date("H-i-s",mktime($difh,$difm,$difs));
}
function convertirhhmmtohoras1($hora){
$hora = strtotime($hora);
return $thpv = date('H', $hora) + date('i', $hora) / 60;
}
?>
